%define		kdeappsver	21.12.0
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kalgebra
Summary:	Kalgebra
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	a79072ecdccd2cae8eac0caef476e038
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5WebEngine-devel >= 5.15.5
BuildRequires:	Qt5Widgets-devel >= 5.11.1
BuildRequires:	Qt5Xml-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-analitza-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExclusiveArch:	i686  %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KAlgebra is a fully featured calculator that lets you plot different
types of 2D and 3D functions and to calculate easy (and not so easy)
calculations, such as addition, trigonometric functions or
derivatives.

The application has been thought to be progressively understood for
students, so that starting to use it doesn't get in the way. The
language is deeply integrated with the UI, providing a dictionary with
representations for all the available operations, code highlighting
and code completion.

%description -l pl.UTF-8
KAlgebra jest wszechstronnym kalkulatorem, pozwalającym rysować różne
typy funkcji dwu- i trójwymiarowych i przeliczać łatwe (i nie tylko)
operacje matematycze, jak dodawanie, funkcje trygonometryczne i
pochodne.

Aplikacja została pomyślana tak, aby była stopniowo rozumiana przez
studentów. Język jest głęboko zintegrowany z interfejsem użykownika,
dostarczając słownik z reprezentacją wszystkich dostępnych operacji, a
także podświetlanie kodu i podpowiadanie dopełnień.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/calgebra
%attr(755,root,root) %{_bindir}/kalgebra
%attr(755,root,root) %{_bindir}/kalgebramobile
%{_desktopdir}/org.kde.kalgebramobile.desktop
%{_iconsdir}/hicolor/64x64/apps/kalgebra.png
%{_iconsdir}/hicolor/scalable/apps/kalgebra.svgz
%{_datadir}/metainfo/org.kde.kalgebramobile.appdata.xml
%{_desktopdir}/org.kde.kalgebra.desktop
%{_datadir}/katepart5/syntax/kalgebra.xml
%{_datadir}/kservices5/graphsplasmoid.desktop
%{_datadir}/metainfo/org.kde.kalgebra.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.graphsplasmoid
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kalgebra.git;a=log;h=master

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6265805
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4363608
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 92aa771
- updated to 21.08.2

* Fri Sep 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 162f698
- updated to 21.08.1

* Wed Sep 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2c2357a
- relup

* Wed Sep 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7502aa7
- removing missing files

* Sun Aug 29 2021 Jan Rękorajski <baggins@pld-linux.org> 9a1d994
- versioned Qt5WebEngine BR, rel 2

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4bfe7f5
- updated to 21.08.0

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8eae0f7
- pl desc

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 23e1822
- updated to 21.04.3

* Thu Jul 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b360cc1
- excluding x32

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 63d9cc2
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f0656c5
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ce1dfa1
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e97c594
- updated to 20.12.3

* Wed Oct 23 2019 Jan Rękorajski <baggins@pld-linux.org> 89bd90a
- updated BRs
- rel 3

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 63b1897
- release 2 (by relup.sh)

* Sun May 26 2019 Jan Rękorajski <baggins@pld-linux.org> 69844b3
- BR Qt5WebEngine-devel

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> e63c1ee
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 35b701f
- updated to 18.12.1; ninja

